Update Organization Project Privacy Settings
https://app.fossa.com/api/organizations/{id}/settings/projects/privacyUpdate project privacy settings for an organization
Path parameters
idintegerrequiredRequest body · application/json
defaultProjectPrivacyenumthe default privacy setting for new projects
publicprivateResponses
204No content401UnauthorizeduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
404NotFounduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
422Unprocessable EntityuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
PUT https://app.fossa.com/api/organizations/1/settings/projects/privacycurl --request PUT \ --url 'https://app.fossa.com/api/organizations/1/settings/projects/privacy' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN' \ --header 'content-type: application/json' \ --data '{ "defaultProjectPrivacy": "private"}'Real request. Mutating methods can change data.
Path params
idintegerrequired